Lavalite package that provides legit management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `help/legit`.

    "help/legit": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Help\Legit\Providers\LegitServiceProvider::class,

And also add it to alias

    'Legit'  => Help\Legit\Facades\Legit::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Help\\Legit\\Seeders\\LegitTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Help\Legit\Providers\LegitServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Help\Legit\Providers\LegitServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Help\Legit\Providers\LegitServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/legit/{modulename}

**User**

    http://path-to-route-folder/user/legit/{modulename}

**Public**

    http://path-to-route-folder/legits


### API endpoints

**List**

    http://path-to-route-folder/api/user/legit/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/legit/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/legit/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/legit/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/legit/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/legit/{modulename}/{slug}
    METHOD: GET